Package oracle.jdbc

## Interface OracleParameterMetaData

All Superinterfaces:
  `java.sql.ParameterMetaData`, `java.sql.Wrapper`

    public interface OracleParameterMetaData
    extends java.sql.ParameterMetaData

This interface defines the Oracle extensions to the standard JDBC interface `java.sql.ParameterMetaData`. For pre-JDK 1.4 applications, this interface provides the equivalent functions in `java.sql.ParameterMetaData`. Applications can use `java.sql.ParameterMetaData` where they do not make use of Oracle extensions. However, when an application uses the Oracle extensions to `java.sql.ParameterMetaData`, it must use `oracle.jdbc.OracleParameterMetaData`.

This is an interface that can be used to get information about the types and properties of the parameters in a `PreparedStatement` object.

### Field Summary

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getScale​(int param)` Gets the designated column's number of digits to the right of the decimal point.

### Methods inherited from interface java.sql.ParameterMetaData

`getParameterClassName, getParameterCount, getParameterMode, getParameterType, getParameterTypeName, getPrecision, isNullable, isSigned`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### getScale

    int getScale​(int param)
          throws java.sql.SQLException

Gets the designated column's number of digits to the right of the decimal point.

An Oracle NUMBER data type can be defined with a scale that ranges from -84 to 127. When the scale is not specified, the special value -127 will be returned by this method. It has no other meaning than to indicate that the scale isn't set.

For data types that don't have a scale, the value 0 is returned.

Specified by:
  `getScale` in interface `java.sql.ParameterMetaData`
Parameters:
  `param` - the first parameter is 1, the second is 2, ...
Returns:
  scale
Throws:
  `java.sql.SQLException` - if a database access error occurs